% Funzione che converte i dati grezzi dei Therm Link 

function val_ThL = conv_grezziThL(val_ThL,rThL,DCalThLTot,FileName)

text = 'conv_grezziThL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

ca_ThL = DCalThLTot(:,1);
int_ThL =  DCalThLTot(:,2);
i = 1;
% Contatore dei nodi, converte i punti ADC con le calibrazioni in valori angolari
while i <= rThL % nodo
      val_ThL(:,i) = val_ThL(:,i)*ca_ThL(i,1)+int_ThL(i,1);
      i = i+1;
end

text = 'Raw Data of Therm Link converted into physical units correctly. conv_grezziThL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end